> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Org Conversation User Usage Stats

> Get per-user usage metrics for organization dashboard.

**Access Control**: Requires VIEW_ORG_CONVERSATIONS permission (Admin or Owner role).

Args:
    org_id: The organization ID
    limit: Maximum number of user rows to return
    offset: Offset for paginated user rows

Returns:
    OrgUserUsageStats: Usage statistics aggregated by user



## OpenAPI

````yaml /openapi/openhands-cloud.json get /api/organizations/{org_id}/conversations/user-usage
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/organizations/{org_id}/conversations/user-usage:
    get:
      tags:
        - Orgs
      summary: Get Org Conversation User Usage Stats
      description: >-
        Get per-user usage metrics for organization dashboard.


        **Access Control**: Requires VIEW_ORG_CONVERSATIONS permission (Admin or
        Owner role).


        Args:
            org_id: The organization ID
            limit: Maximum number of user rows to return
            offset: Offset for paginated user rows

        Returns:
            OrgUserUsageStats: Usage statistics aggregated by user
      operationId: >-
        get_org_conversation_user_usage_stats_api_organizations__org_id__conversations_user_usage_get
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Org Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 2000
            minimum: 1
            description: Maximum number of user rows to return
            default: 500
            title: Limit
          description: Maximum number of user rows to return
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Offset for paginated user rows
            default: 0
            title: Offset
          description: Offset for paginated user rows
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgUserUsageStats'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    OrgUserUsageStats:
      properties:
        items:
          items:
            $ref: '#/components/schemas/OrgUserUsageRow'
          type: array
          title: Items
        has_more:
          type: boolean
          title: Has More
          default: false
      type: object
      title: OrgUserUsageStats
      description: Detailed usage stats by user for the admin dashboard.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OrgUserUsageRow:
      properties:
        user_id:
          type: string
          title: User Id
        user_email:
          anyOf:
            - type: string
            - type: 'null'
          title: User Email
        user_name:
          anyOf:
            - type: string
            - type: 'null'
          title: User Name
        conversation_count:
          type: integer
          title: Conversation Count
          default: 0
        first_conversation_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Conversation At
        last_conversation_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Conversation At
        first_login_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Login At
        last_login_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Login At
        spend_mtd:
          type: number
          title: Spend Mtd
          default: 0
        spend_ytd:
          type: number
          title: Spend Ytd
          default: 0
        spend_lifetime:
          type: number
          title: Spend Lifetime
          default: 0
        budget_monthly_limit:
          anyOf:
            - type: number
            - type: 'null'
          title: Budget Monthly Limit
        budget_is_disabled:
          type: boolean
          title: Budget Is Disabled
          default: false
        prs_merged:
          anyOf:
            - type: integer
            - type: 'null'
          title: Prs Merged
      type: object
      required:
        - user_id
      title: OrgUserUsageRow
      description: Usage summary for a single user.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Access-Token

````